Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
DELETEBackup Service OperationsSince 2.6.0SynchronousAuth Required
DeleteVolumeBackup
DeleteVolumeBackup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe UUID of the volume backup.
backupStorageUuidsListOptional. The UUIDs of the backup storage.
deleteModeStringOptional. The mode under which the backup is deleted.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
handleDependencybooleanOptional. whether to handle dependency when deleting volume backup.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/volume-backups/{uuid}
/zstack/v1/volume-backups/{uuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/volume-backups/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"],"handleDependency":true}'
Response Example
200{}Change History
This API has no change history records yet.
